freetds (1.5.1+ds-3) unstable; urgency=medium

  * add upstream patch to fix float -> uint conversion bounds check
    (Closes: #1104758)
  * clean up after running tests

 -- Joseph Nahmias <jello@debian.org>  Sat, 31 May 2025 23:05:21 -0400

freetds (1.5.1+ds-2) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation (Closes: #1101118)

  [ Joseph Nahmias ]
  * bump Std-Ver; no changes
  * fix dep5 syntax error
  * remove outdated FSF address
  * fix reproducibility of documentation build.
    Thanks to Vagrant Cascadian <vagrant@reproducible-builds.org>
    (Closes: #1037269)
  * tdsodbc: change recommends from libodbc1 to libodbc2.
    Thanks to Hugh McMaster <hugh.mcmaster@outlook.com> (Closes: #1025534)
  * d/clean: remove stray testing artifact (Closes: #1044723)
  * add Romanian debconf template translation.
    Thanks to Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>
    (Closes: #1102144)
  * debhelper compat 12 -> 13
  * add copyright for new Catalan translation
  * add some simple autopkgtests
  * add missing libc6-dev dep for autopkgtest
  * fix dep5 copyright syntax for public domain files

 -- Joseph Nahmias <jello@debian.org>  Thu, 24 Apr 2025 23:24:21 -0400

freetds (1.5.1+ds-1) unstable; urgency=medium

  * New upstream version 1.4.14+ds
  * drop patch merged upstream
  * New upstream version 1.5+ds
  * update build/test recipe for v1.5
  * New upstream version 1.5.1+ds
  * skip network tests
  * enable build-any job in salsa-ci

 -- Joseph Nahmias <jello@debian.org>  Wed, 23 Apr 2025 07:18:20 -0400

freetds (1.3.17+ds-2) unstable; urgency=medium

  * source-only upload to enable bookwork testing migration. 

 -- Joseph Nahmias <jello@debian.org>  Thu, 26 Jan 2023 19:59:14 -0500

freetds (1.3.17+ds-1) unstable; urgency=medium

  * [67ac20b] new maintainer.
    Thanks to Steve Langasek for all your work on this package!
  * [3f141a9] update Vcs headers to point to salsa repo in debian namespace
  * [6123606] use DEP-14 branch naming
  * [68f9eda] enable salsa-ci pipeline
  * [12dcee9] New upstream version 1.3.13
  * [4a2dcc9] drop conflicts/breaks/replaces on ancient packages
    these have not been seen since before jessie, released on 2015-04-26
  * [2ecf8b2] default yes to registering the odbc driver; add dep on odbcinst
  * [5f529a7] declare that we are using deb source format 3.0 (quilt)
  * [299a8b5] New upstream version 1.3.17
  * [7f4a341] interim changelog update
  * [52e3272] add back patch to drop AC_LTDL_DLLIB via quilt
  * [bf40df5] install freetds.conf(5)
  * [e6da50b] don't try to install freetds.conf.pl; it's no longer shipped
    by upstream
  * [5f615c3] drop obsolete version requirement for unixodbc-dev
  * [e062698] replace pkg-config with pkgconf
  * [835ad2b] build documentation and place it in new freetds-doc pkg
  * [d000ae1] mark *.la as deliberately not-installed
  * [ed09e5c] update lintian override to new syntax
  * [8e83767] repack upstream tarball to exclude generated documentation
  * [844d9c3] New upstream version 1.3.17+ds
  * [a63b976] add myself to debian/* copyright
  * [2486e5c] tell lintian that the TDS Protocol HTML is the source
  * [2214cb1] install TDS protocol docs in the freetds-doc pkg
  * [a7ec02f] per lintian, remove hotlink to w3c validation icon
  * [3ad1e59] update copyright info to be more complete
  * [d4db0aa] fix installation of {locales,pool}.conf examples

 -- Joseph Nahmias <jello@debian.org>  Wed, 25 Jan 2023 21:38:17 -0500

freetds (1.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Replace reference to obsolete AC_LTDL_DLLIB.  Closes: #1002140.
  * Drop unused build-dependency on libglib2.0-dev.  Closes: #981651.
  * Remove Adam from the uploaders list; RIP.  Closes: #986950.
  * Drop obsolete build-dependency on autotools-dev.
  * Upgrade to debhelper-compat (= 12).
  * Drop obsolete --parallel argument to dh.
  * Update Standards-Version.

 -- Steve Langasek <vorlon@debian.org>  Sat, 15 Jan 2022 06:24:24 +0000

freetds (1.2.3-1) unstable; urgency=medium

  * New upstream release.
    - documentation files renamed to .md.

 -- Steve Langasek <vorlon@debian.org>  Sat, 15 Aug 2020 05:12:32 +0000

freetds (1.1.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * tds: Make sure UDT has varint set to 8 (CVE-2019-13508) (Closes: #944012)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 01 Jan 2020 21:09:16 +0100

freetds (1.1.6-1) unstable; urgency=medium

  * New upstream release.
    - Fixes ppc64el compatibility.  LP: #1826851.
    - Update libsybdb5.symbols for new upstream.
  * Stop specifying 4.2 as the default protocol, now obsoleted upstream.
    Allow the upstream default instead of autodetecting the default TDS
    protocol version.

 -- Steve Langasek <vorlon@debian.org>  Thu, 02 May 2019 02:57:34 +0000

freetds (1.00.104-1) unstable; urgency=medium

  * New upstream release.

 -- Steve Langasek <vorlon@debian.org>  Thu, 18 Oct 2018 23:43:49 -0700

freetds (1.00.82-2) unstable; urgency=medium

  * Fix arch-any builds.  Closes: #890888.

 -- Steve Langasek <vorlon@debian.org>  Tue, 20 Feb 2018 23:46:25 +0000

freetds (1.00.82-1) unstable; urgency=medium

  * Update Vcs-* fields.
  * Fix watch file.
  * New upstream release.  Closes: #803258, LP: #1679975.
    - Fixes login when using long (> 30 char) passwords.  Closes: #706388.
    - Fixes an intermittent connection failure to MSSQL.  LP: #1727572.
    - Fixes a crash when connecting to a non-TDS server.  LP: #1215336.
    - Update symbols files.
  * Update Standards-Version.
  * Update debian/copyright.
  * Fix upstream spelling; thanks, Lintian
  * Drop Conflicts against obsolete versions of unixodbc; lintian complains
    about versioned conflicts, the rationale is lost in the mists of time,
    and this is shadowed by an existing Breaks: against newer versions of
    unixodbc anyway.
  * Fix permissions on /usr/share/freetds/freetds.conf.
  * Fix wrong empty dirs in freetds-common.
  * Fix manpage warnings.
  * Add some lintian overrides.
  * Build-depend on pkg-config; upstream now uses PKG_PROG_PKG_CONFIG, so
    this is the only piece left to support cross-building.  Closes: #873712.
  * Bump debhelper compat to 10, and drop explicit dh-autoreconf dep since
    this is now automatic.

 -- Steve Langasek <vorlon@debian.org>  Tue, 20 Feb 2018 04:38:05 +0000

freetds (0.91-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use gnutls_priority_set_direct with a priority string of NORMAL:%COMPAT
    instead of deprecated gnutls_{cipher,kx,...}_set_priority functions. This
    uses the same priority string as 7ca9321ff440814581a8ec87984f7d76f8cc105e
    from upstream GIT, except for not disabling SSL3.0 since Debian's GnuTLS
    does not enable SSL3 by default. Closes: #782818

 -- Andreas Metzler <ametzler@debian.org>  Sun, 26 Jul 2015 18:06:25 +0200

freetds (0.91-6) unstable; urgency=low

  * Build against libgnutls28, now that license compatibility issues
    with GPLv2-only software have been resolved.  This includes patching
    the upstream source to not look for gcrypt, which is no longer needed.
    Thanks to Dimitri Ledkov <dimitri.ledkov@canonical.com> for the patch.
    Closes: #747449.

 -- Steve Langasek <vorlon@debian.org>  Thu, 08 May 2014 15:25:40 -0700

freetds (0.91-5) unstable; urgency=low

  * Add Kerberos support.  LP: #1223567.
  * Stop overriding CPPFLAGS in debian/rules, giving us full proper
    hardening support.  Closes: #665268.
  * src/odbc/odbc.c: cherry-pick upstream fix for a segfault due to an
    uninitialized value.  Thanks to Lionel Elie Mamane <lionel@mamane.lu>
    for the fix.  Closes: #650422.
  * Allow parallel builds.  Closes: #650421.
  * Drop manual autotools patching for dh-autoreconf, fixing builds on
    x32 et al.  Closes: #699069.
  * Properly bump the build-dep on debhelper to 9.
  * Bump to Standards-Version 3.9.4, no changes required.
  * Convert copyright file to copyright-format 1.0.
  * src/apps/bsqldb.c, src/apps/bsqlodbc.c: fix wrong getopt() option
    strings so that arguments to -d are parsed correctly.
    Closes: #715697, #715698.
  * src/apps/datacopy.c: handle a lack of login/password information
    without segfaulting.  Closes: #715785.

 -- Steve Langasek <vorlon@debian.org>  Wed, 11 Sep 2013 06:37:14 +0000

freetds (0.91-4) unstable; urgency=low

  * Version the breaks: on libiodbc2 now that a fixed version is available
    in unstable.

 -- Steve Langasek <vorlon@debian.org>  Sun, 26 May 2013 19:01:28 -0700

freetds (0.91-3) unstable; urgency=low

  * configure.ac: check for libgcrypt in addition to libgnutls, since we
    use it directly and will need to link to it in future versions of gcc.
    Thanks to Logan Rosen <logan@ubuntu.com> for reporting.  Closes: #704572.
  * Also, build-depend explicitly on libgcrypt-dev.

 -- Steve Langasek <vorlon@debian.org>  Wed, 03 Apr 2013 04:55:10 +0000

freetds (0.91-2) unstable; urgency=low

  * Don't both breaks and recommends libiodbc2, this confuses apt.
    Closes: #645726.

 -- Steve Langasek <vorlon@debian.org>  Fri, 12 Oct 2012 15:14:28 +0000

freetds (0.91-1) unstable; urgency=low

  * New upstream release.  Closes: #852069, LP: #887374.
    - Built with new libtool, so should be compatible with binutils-gold.
      Closes: #558548.
    - Includes fix for upstream corruption seen with Hebrew strings.
      Closes: #500451.
    - drop patch to src/tds/locale.c; upstream seems to now support fairly
      complete autodetection of the client locale.
    - update symbols files for two new symbols.
  * Pass -DDBLIB_UNIMPLEMENTED=1 so we get a full set of symbols in
    libsybdb, even if some functions are not yet implemented.
  * Switch to using dpkg-buildflags for hardening.
  * src/apps/bsqldb.c: fix a build failure with -Werror=format-security.
  * Build-depend on libgnutls-dev for TLS support.  LP: #406468.
  * Build-depend on libreadline-dev, which makes freetds-bin a bit more
    useful.

 -- Steve Langasek <vorlon@debian.org>  Mon, 14 Nov 2011 21:20:25 -0800

freetds (0.82-8) unstable; urgency=low

  * Move freetds-bin to section database.  Closes: #609788.
  * Point Vcs-Bzr, Vcs-Browser at alioth.
  * Install to /usr/lib/$(DEB_HOST_MULTIARCH)/odbc, use a relative path in
    odbcinst.ini, and mark the packages as ready for multiarch.
  * Drop debian/*.dirs, dating back to when I didn't know how multiarch
    worked
  * Drop the unneeded .la files from freetds-dev.
  * Mark tdsodbc.config set -e - thanks, lintian
  * Add ${misc:Depends} for debhelper.
  * Bump Standards-Version to 3.9.2 (no changes required).
  * Don't ship a broken link to our odbcinst.ini in
    /usr/share/doc/freetds-common/examples.
  * Add Danish debconf translation, thanks to Joe Dalton
    <joedalton2@yahoo.dk>.  Closes: #621362.

 -- Steve Langasek <vorlon@debian.org>  Sat, 20 Aug 2011 21:09:01 -0700

freetds (0.82-7) unstable; urgency=low

  * Bump debhelper compat to 7.
  * Convert from dh_movefiles to the currently supported dh_install.
  * Convert debian/rules to dh, which along the way fixes the missing
    install of the freetds.conf manpage.  Closes: #546947.

 -- Steve Langasek <vorlon@debian.org>  Tue, 22 Sep 2009 01:31:04 -0700

freetds (0.82-6) unstable; urgency=low

  * Provide a new freetds-bin package, containing the freebcp, tsql, tdspool,
    bsqlodbc, fisql, osql, bsqldb, defncopy, and datacopy tools.  Thanks to
    Jens Jorgensen <jorgensen@lowtechsolutions.net> for the patch.
    Closes: #196000, LP: #298875.
  * Fix txt2man invocation in doc/Makefile.am so that manpages get sensible
    sections and titles, per lintian.

 -- Steve Langasek <vorlon@debian.org>  Tue, 04 Aug 2009 03:56:38 -0700

freetds (0.82-5) unstable; urgency=low

  * Maintainer FAIL: fix up the /usr/share/doc directories, which would get
    left symlinked to libct3 on upgrade even though libct3 no longer exists

 -- Steve Langasek <vorlon@debian.org>  Wed, 01 Apr 2009 03:02:08 -0700

freetds (0.82-4) unstable; urgency=low

  * Fix a typo in the freetds-common description, ugh
  * Versioned replaces of libct4 by freetds-common, since the current one
    obviously doesn't have overlapping files.
  * tdsodbc: check for /var/lib/odbc existence before removing it in the
    postinst, since there are cases where it won't exist on upgrade (i.e.,
    if the driver was never enabled in the first place).  Closes: #493303.

 -- Steve Langasek <vorlon@debian.org>  Sat, 02 Aug 2008 11:49:53 -0700

freetds (0.82-3) unstable; urgency=low

  * Add the GFDL to debian/copyright, to satisfy ftp team demands.  No files
    shipped in the binary packages are covered by this license.
  * Update the list of authors in debian/copyright, from the current AUTHORS
    file.

 -- Steve Langasek <vorlon@debian.org>  Sat, 19 Jul 2008 18:45:43 -0700

freetds (0.82-2) unstable; urgency=low

  * Add a provisional Vcs-Bzr tag.
  * Upload to unstable.

 -- Steve Langasek <vorlon@debian.org>  Tue, 01 Jul 2008 16:16:38 -0700

freetds (0.82-1) experimental; urgency=low

  * New upstream release (closes: #392459).
    - soname bump for libct3 -> libct4.
    - fix support for quoted identifiers.  Closes: #487516.
    - fix for buffer overflow issues with datetime fields and long format
      strings.  Closes: #400269, #353735.
    - fix for dbresults() return value following a NO_MORE_RESULTS
      return.  Closes: #486249.
  * Acknowledge NMUs.
  * Drop debian/{libsybdb5,libct3}.manifest, which are now superseded by the
    new dpkg-gensymbols setup
  * Add locales.conf to the libct4 examples directory, to show proper
    configuration of server charsets when this is needed.  Closes: #390131.
  * Don't install ODBC-related files in freetds-dev.  Closes: #360345,
    LP: #68239.
  * Simplify the debconf handling for tdsodbc: one removal in the prerm,
    one addition in the postinst, and we should always get a correct
    reference count for the driver.
  * Add a new package freetds-common to contain the config files, so that
    we're future-proofed against further soname changes in libct.
    - install the freetds.conf.5 manpage here now that there's a suitable
      place for it
    - now that our -common package is arch: all, don't symlink doc
      directories; necessary in order to preserve binNMU changelogs
    - create the /etc/freetds directory in our postinst if it's missing,
      to make the script more robust against previous versions of libct
      being purged.  Closes: #317677.
  * Miscellaneous clean-up of debian/rules:
    - drop commented-out lines
    - `pwd` == ick
    - use DESTDIR when installing
    - clean up the separation between install and binary targets
    - don't override CFLAGS when building, unixodbc-dev now correctly
      takes care of this for us
    - drop obsolete get-orig-source target, which only knew about an old
      source version anyway; debian/watch works better here.
    - don't ignore failures on make distclean; instead, only invoke it
      when a Makefile is present.
  * Bump Standards-Version to 3.8.0 (no changes required).
  * Pass -V to dh_makeshlibs, so that any packages that build against
    libsybdb5 with an old dpkg-dev don't end up with broken dependencies.
  * Bump debhelper compat level from 3 to 6

 -- Steve Langasek <vorlon@debian.org>  Sun, 22 Jun 2008 23:27:54 -0700

freetds (0.63-3.4) unstable; urgency=low

  * Non-maintainer upload.
  * "I brake it, I fix it"
  * Don't use -v flag for dpkg-gensymbols, closes: #479526
  * Add finnish debconf translation, closes: #476723

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 05 May 2008 17:44:35 +0300

freetds (0.63-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Migrate to dpkg-shlibdeps symbols file,
    closes: #441736, #470807
  * Fix build-dependency on virtual package: closes: #433557
  * Patch configure to allow builds on kfreebsd/hurd, closes: #366440
  * Make package binNMUable
  * Add homepage field

 -- Riku Voipio <riku.voipio@iki.fi>  Sat, 05 Apr 2008 15:11:17 +0300

freetds (0.63-3.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Galician. Closes: #412654
    - Portuguese. Closes: #409959

 -- Christian Perrier <bubulle@debian.org>  Sat, 10 Mar 2007 12:29:53 +0100

freetds (0.63-3.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Dutch. Closes: #402202
    - Italian. Closes: #368336
    - German. Closes: #406551

 -- Christian Perrier <bubulle@debian.org>  Tue,  6 Feb 2007 08:55:09 +0100

freetds (0.63-3) unstable; urgency=low

  * Added Swedish translation, thanks to Daniel Nylander
    (closes: #331477).
  * Depend on ${misc:Depends} instead of on debconf directly, to allow
    installations of other implementations of the debconf-2.0 protocol
    (closes: #331826).
  * Rework locale patch to allow overriding locale environment via
    /etc/freetds/locales.conf; support "client charset" options on a
    per-locale basis, not just on a per-server basis; and don't pull
    date formats from nl_langinfo(), because the locale defaults are
    apparently insane.  Closes: #324869.
  * Update the prototype of SQLParamOptions so we build correctly
    against UnixODBC on 64-bit platforms

 -- Steve Langasek <vorlon@debian.org>  Wed, 24 May 2006 19:17:00 -0700

freetds (0.63-2) unstable; urgency=low

  * Fix an issue with the SQLParamOptions implementation not being
    64-bit-clean wrt UnixODBC's implementation; this will need to be
    chased up with iODBC as well as with freetds upstream, to get
    everyone on the same page.
  * Remove a spurious redefine of SQLULEN in src/odbc/odbc.c, as
    tdsodbc.h already includes an appropriate check for SQLULEN

 -- Steve Langasek <vorlon@debian.org>  Tue,  5 Jul 2005 02:43:00 -0700

freetds (0.63-1) unstable; urgency=low

  * New upstream release (closes: #230024, #236564).
    - includes support for UTF-8 locales (closes: #316236).
    - new sonames libct3, libsybdb5
    - break tdsodbc into its own package, to avoid future
      conflicts/replaces nonsense
  * Acknowledge NMUs; thanks to Christian Perrier and Frank Lichtenheld.
  * Rebuild against unixodbc 2.2.11.
  * Drop ancient migration code for /etc/freetds/interfaces, which was
    pre-woody and never in a stable release
  * Move freetds.conf.pl to doc/examples, since it's no longer needed
    for upgrades
  * Fix dependencies on libct3 to be strictly versioned, to avoid 
    invalid /usr/share/doc symlinks
  * Add debian/update-manifest.sh and debian/dh_makeshlibs, to
    future-proof against incorrect shlibs
  * Added Vietnamese translation, thanks to Clytie Siddal
    (closes: #311749).
  * Added Japanese translation, thanks to Hideki Yamane
    (closes: #310234).

 -- Steve Langasek <vorlon@debian.org>  Sun,  5 Jun 2005 19:34:33 -0700

freetds (0.61-6.2) unstable; urgency=low

  * Non-maintainer upload with maintainer's agreement in order to complete
    the switch to po-debconf
  * Switch to po-debconf for debconf tempaltes translation handling
    Closes: #234606
  * New translations:
    - Czech, thanks to Miroslav Kure
    - Brazilian Portuguese, thanks to Felipe Augusto van de Wiel
      Closes: #301615
    - French, thanks to Jean-Luc Coulon

 -- Christian Perrier <bubulle@debian.org>  Mon,  4 Apr 2005 19:48:55 +0200

freetds (0.61-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add AM_MAINTAINER_MODE and rerun autogen.sh. This hopefully
    fixes the FTBFS (closes: #276851)
  * Sync debhelper build-depends with DH_COMPAT level (3)
  
 -- Frank Lichtenheld <djpig@debian.org>  Fri, 29 Oct 2004 22:33:07 +0200

freetds (0.61-6) unstable; urgency=medium

  * Add myself to Uploaders, closing Steve's RFH (closes: #263165)
  * Work around buggy handling of results from stored procedures in all
    versions of libct below 0.62.5 (clsoes: #260261)
  * freetds-dev now conflicts with crystalspace-dev, as we have a header
    (/usr/include/cstypes.h) by the same name (closes: #259105)
  * Update debian/watch to actually work properly with upstream.

 -- Adam Conrad <adconrad@0c3.net>  Thu,  2 Sep 2004 23:30:26 -0600

freetds (0.61-5) unstable; urgency=low

  * Since we depend on the odbcinst package, always ask about ODBC
    support at configure time.  Also, allow dpkg-reconfigure to change
    the ODBC handling preference.  (Closes: #198523)

 -- Steve Langasek <vorlon@debian.org>  Sun,  6 Jul 2003 01:19:49 -0500

freetds (0.61-4) unstable; urgency=low

  * Fix an out-of-range comparison error on unsigned char platforms
    (closes: #161897).

 -- Steve Langasek <vorlon@debian.org>  Sat, 19 Apr 2003 22:51:21 -0500

freetds (0.61-3) unstable; urgency=low

  * After rerunning autotools, the name of the real library changed on
    us again; copy the /real/ file into /usr/lib/odbc, not just a
    symlink (closes: #185172).

 -- Steve Langasek <vorlon@debian.org>  Fri, 18 Apr 2003 14:02:05 -0500

freetds (0.61-2) unstable; urgency=low

  * Update the package to comply with v. 3.5.8 of policy.
  * Rerun the autotools for mips/mipsel, because upstream is still using
    libtool 1.4a (closes: #183792).

 -- Steve Langasek <vorlon@debian.org>  Sun,  2 Mar 2003 19:36:49 -0600

freetds (0.61-1) unstable; urgency=low

  * new upstream release.
  * libct0 is now libct1.
  * libsybdb2 is now libsybdb3.
  * Work on the idempotency of the maintainer scripts, so that 1) we
    never remove the driver on a running system, 2) our reference count
    remains net-constant, and 3) we are calling odbcinst so that we can
    provide tweaked driver settings in the package when needed.

 -- Steve Langasek <vorlon@debian.org>  Sun, 12 Jan 2003 13:40:28 -0600

freetds (0.60.1-3) unstable; urgency=low

  * incorporate changes from CVS to eliminate the dependency on
    OpenSSL -- required for licensing reasons.
  * use AM_MAINTAINER_MODE to make autobuilders happy (closes: #162924).

 -- Steve Langasek <vorlon@debian.org>  Sun, 29 Sep 2002 15:58:12 -0500

freetds (0.60.1-2) unstable; urgency=low

  * rerun libtoolize --force --copy; upstream built with an older
    version, which doesn't work too well on some of our archs.

 -- Steve Langasek <vorlon@debian.org>  Sat, 21 Sep 2002 12:14:21 -0500

freetds (0.60.1-1) unstable; urgency=low

  * New upstream release

 -- Steve Langasek <vorlon@debian.org>  Fri, 20 Sep 2002 12:14:19 -0500

freetds (0.53-7) unstable; urgency=low

  * It's the bug that wouldn't die.  Try one more time to get the postrm 
    right. (Closes: #139960)

 -- Steve Langasek <vorlon@debian.org>  Wed, 17 Apr 2002 10:21:13 -0500

freetds (0.53-6) unstable; urgency=low

  * Redirect output in the postrm, since debhelper is smarter than I am
    (really closes: #139960).

 -- Steve Langasek <vorlon@debian.org>  Mon,  1 Apr 2002 21:53:33 -0600

freetds (0.53-5) unstable; urgency=low

  * Fix for possible debconf hang in postrm, due to spurious messages on 
    stderr (closes: #139960).
  * Better handling for the case where we're reading from a closed 
    socket (closes: #138166).
  * Quote the ldconfig call in our postinst, to work around the broken 
    shards of rectal thermometer that is the lintian check.

 -- Steve Langasek <vorlon@debian.org>  Wed, 27 Mar 2002 12:16:50 -0600

freetds (0.53-4) unstable; urgency=low

  * Merge in Russian debconf templates, thanks to Ilgiz Kalmetev
    <ilgiz@bashtelecom.ru>.  (Closes: #137651)

 -- Steve Langasek <vorlon@debian.org>  Sun, 10 Mar 2002 12:38:09 -0600

freetds (0.53-3) unstable; urgency=low

  * patch from upstream CVS to address segfaults w/ null server names
    (closes: #132775)

 -- Steve Langasek <vorlon@debian.org>  Tue, 12 Feb 2002 17:36:38 -0600

freetds (0.53-2) unstable; urgency=low

  * Fix build-dependencies to get the proper version of unixodbc-dev.
  * Fix the numerous build-time warnings that mean real problems on 
    non-i386 archen (closes: #129608).  Remaining warnings are either 
    ones that should be left in place as reminders to upstream, or in 
    the unused tdssrv library that's included only as a reference for 
    future application developers.

 -- Steve Langasek <vorlon@debian.org>  Wed, 16 Jan 2002 22:57:37 -0600

freetds (0.53-1) unstable; urgency=low

  * New upstream release
  * Move the ODBC driver into the /usr/lib/odbc subdirectory.

 -- Steve Langasek <vorlon@debian.org>  Mon, 14 Jan 2002 21:38:34 -0600

freetds (0.52+0.53rc2-1) unstable; urgency=low

  * New upstream release
  * Build against unixodbc-dev instead of libiodbc2-dev, since unixodbc
    is more current (ODBC 3.0)
  * Include our own copy of the Sybase `interfaces' file; upstream no
    longer ships it, but we keep a copy around for use in maintainer
    scripts.

 -- Steve Langasek <vorlon@debian.org>  Sun, 16 Dec 2001 22:55:54 -0600

freetds (0.52+0.53pre2-2) unstable; urgency=low

  * Added missing calls to ldconfig, since we're not calling
    dh_makeshlibs now.

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Nov 2001 22:19:54 -0600

freetds (0.52+0.53pre2-1) unstable; urgency=low

  * New upstream (pre)release.  Fixes a number of serious bugs that
    were present in the last release.
    (closes: #117725)

 -- Steve Langasek <vorlon@debian.org>  Sat, 24 Nov 2001 13:43:19 -0600

freetds (0.52-3) unstable; urgency=low

  * Separate out templates.es into a separate file, for greater flexibility.
  * Added German language localization for debconf, thanks to Michael
    Bramer <grisu@debian.org>.  (closes: #106517)
  * Manually specify --build and --host options to configure,
    eliminating the need for updated config.guess

 -- Steve Langasek <vorlon@debian.org>  Fri, 27 Jul 2001 09:11:33 -0500

freetds (0.52-2) unstable; urgency=low

  * Fixed Spanish-localized debconf template; previous version contained
    an incomplete translation
  * Add support for automatically registering the ODBC driver at
    install-time (if /usr/bin/odbcinst is present)
  * Add Build-Depend on libglib-dev for the odbc driver
    (closes: #106437, #106442)

 -- Steve Langasek <vorlon@debian.org>  Tue, 24 Jul 2001 09:17:14 -0500

freetds (0.52-1) unstable; urgency=low

  * New upstream release (closes: #101135)
  * new ODBC driver included in package

 -- Steve Langasek <vorlon@debian.org>  Sat, 21 Jul 2001 12:39:47 -0500

freetds (0.51-4) unstable; urgency=low

  * need up-to-date config.sub for the arm autobuilder.
  * fixed the Section of the source package.

 -- Steve Langasek <vorlon@debian.org>  Sun,  4 Feb 2001 16:03:36 -0600

freetds (0.51-3) unstable; urgency=low

  * preliminary fixes for 64-bit architectures
  * fixed shlibs file.  Now auto-generated w/ debhelper.

 -- Steve Langasek <vorlon@debian.org>  Mon, 29 Jan 2001 22:39:14 -0600

freetds (0.51-2) unstable; urgency=low

  * Use dh_links to create doc symlinks

 -- Steve Langasek <vorlon@debian.org>  Mon, 15 Jan 2001 12:16:11 -0600

freetds (0.51-1) unstable; urgency=low

  * New upstream release
  * /usr/lib/freetds directory no longer needed. Removed from package.

 -- Steve Langasek <vorlon@dodds.net>  Sun, 26 Nov 2000 23:58:07 -0600

freetds (0.50-3) unstable; urgency=low

  * updated conf file handling with help from lintian

 -- Steve Langasek <vorlon@dodds.net>  Wed,  8 Nov 2000 10:49:22 -0600

freetds (0.50-2) unstable; urgency=low

  * Fixed /usr/lib/freetds/interfaces to be a conffile
  * added /usr/lib/freetds/include symlink, fixed to work as expected

 -- Steve Langasek <vorlon@dodds.net>  Tue,  7 Nov 2000 22:12:24 -0600

freetds (0.50-1) unstable; urgency=low

  * Initial release.

 -- Steve Langasek <vorlon@dodds.net>  Tue,  7 Nov 2000 09:15:40 -0600

Local variables:
mode: debian-changelog
End:
